# Copyright (C) 2021 VMware, Inc. All rights reserved.
# -- VMware Confidential
from sha.contrib.rmdy_cmd.abc_base import RmdyCmd

import sha
from sha.config import DIST_ESX, NODE_TYPE, DIST_KVM, DIST_BMS, DIST_EDGE, DIST_PUBLIC_CLOUD_GATEWAY

_logger = sha.config.get_logger(__name__)


class RestartNestDb(RmdyCmd):
    """
    Nestdb remedy cmd for restarting nestdb.
    """
    def __repr__(self):
        return 'RmdyCmd - RestartNestDb: tag_cmd:{}, real_cmd:{}, cmd_timeout:{}'\
            .format(self.get_tag_cmd(), self.get_real_cmd(), self.get_cmd_timeout())

    def is_success(self, result):
        result = result.strip()

        if 'NSX-NESTDB started' in result \
                or result == 'Restarting nsx-nestdb (via systemctl): nsx-nestdb.service.':
            return True

        return False

    def get_tag_cmd(self):
        return 'RESTART_NESTDB'

    def get_cmd_timeout(self):
        return 60

    def get_real_cmd(self):
        return ['/etc/init.d/nsx-nestdb', 'restart']

